View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000455Ecere SDKcompilerpublic2010-07-26 03:092013-05-19 22:15
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.07Fixed in Version0.44.07 
Summary0000455: compiler: extern int IMViewport_Invalidate(IMViewport * viewport, IMiExtent const * extent); : const not parsing here?
Descriptionextern int IMViewport_Invalidate(IMViewport * viewport, IMiExtent const * extent); : const not parsing here?


the issue here is a Compiler handling of const
perhap shacing to do with a C struct
const in the middle like this

IMGeoPosition const * points
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000713)
jerome (administrator)
2013-04-24 06:40

Not sure what this was about.
The const is still there at that exact spot, and there are no parsing errors.

Const is also understood (Might have something to do with wrong type processing / not printing out 'const' with types before?)

- Issue History
Date Modified Username Field Change
2010-07-26 03:09 redj New Issue
2011-09-10 20:16 jerome Description Updated
2011-11-03 15:33 jerome Priority normal => immediate
2012-03-08 16:51 redj Target Version => 0.45 Ginkakuji
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-04-24 06:40 jerome Status new => resolved
2013-04-24 06:40 jerome Fixed in Version => 0.44.07
2013-04-24 06:40 jerome Resolution open => fixed
2013-04-24 06:40 jerome Assigned To => jerome
2013-04-24 06:40 jerome Note Added: 0000713
2013-04-25 21:37 jerome Target Version 0.45 Ginkakuji => 0.44.07
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker